import request from '@/utils/request'

// 查询应用案例列表
export function listCase(query) {
  return request({
    url: '/sdgsat1/case/list',
    method: 'get',
    params: query
  })
}

// 查询应用案例详细
export function getCase(id) {
  return request({
    url: '/sdgsat1/case/' + id,
    method: 'get'
  })
}

// 新增应用案例
export function addCase(data) {
  return request({
    url: '/sdgsat1/case',
    method: 'post',
    data: data
  })
}

// 修改应用案例
export function updateCase(data) {
  return request({
    url: '/sdgsat1/case',
    method: 'put',
    data: data
  })
}

// 删除应用案例
export function delCase(id) {
  return request({
    url: '/sdgsat1/case/' + id,
    method: 'delete'
  })
}
